import {
  httpDeleteInterceptor,
  httpGet,
  httpPost,
} from "./http-config/axios-base-service";

export async function listMasterUsers(data: any) {
  const headers = {
    "content-type": "application/json",
  };
  return await httpGet(`/users?page=${data.page}&limit=${data.limit}`, headers);
}

export async function createMasterUser(data: any) {
  const headers = {
    "content-type": "application/json",
  };
  const pathUrl = `/users`;
  return await httpPost(pathUrl, headers, data);
}

export async function deleteMasterUser(id: string) {
  return await httpDeleteInterceptor(`/users/${id}`);
}

export async function postSignIn(data: any) {
  const headers = {
    "content-type": "application/json",
  };
  const pathUrl = `/users/login`;
  return await httpPost(pathUrl, headers, data);
}

export async function getProfile() {
  const headers = {
    "content-type": "application/json",
  };
  return await httpGet(`/users/info`, headers);
}
